# Uses of Interface
org.eclipse.jdt.debug.core.IJavaPrimitiveValue

Packages that use IJavaPrimitiveValue
Package
Description
org.eclipse.jdt.debug.eval
Provides a set classes and interfaces that support evaluations in the Java debugger.

## Uses of IJavaPrimitiveValue in org.eclipse.jdt.debug.eval

Methods in org.eclipse.jdt.debug.eval with parameters of type IJavaPrimitiveValue
Modifier and Type
Method
Description
`void`
IAstEvaluationEngine.`evaluateExpression(ICompiledExpression expression, IJavaPrimitiveValue object, IJavaThread thread, IEvaluationListener listener, int evaluationDetail, boolean hitBreakpoints)`
Asynchronously evaluates the given expression in the context of the specified type, reporting the result back to the given listener.